---
updatedAt: 2026-05-27T08:29:53.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# List Invoice tags

Returns a collection with all invoice tags.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Invoice Tag",
      "description": "Invoice resource tags management."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/invoicesTags": {
      "get": {
        "deprecated": true,
        "tags": [
          "Invoice Tag"
        ],
        "operationId": "invoiceTag.list",
        "summary": "List Invoice tags",
        "description": "Returns a collection with all invoice tags.",
        "responses": {
          "200": {
            "description": "Operation completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "description": "A list of tags",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "additionalProperties": false,
                        "properties": {
                          "id": {
                            "description": "The identifier of the tag",
                            "type": "string",
                            "pattern": "\\d+",
                            "example": "1337"
                          },
                          "name": {
                            "description": "The name of the tag",
                            "type": "string",
                            "example": "Active"
                          },
                          "color": {
                            "type": "string",
                            "pattern": "[a-fA-F0-9]{6}",
                            "example": "ff0000",
                            "description": "Hexadecimal color value in 6-digit format without the leading # character."
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```